*"表題   BARO 共通 時間フィルター  GCM5(BATFIL)
*
*"履歴   90/08/31 沼口  敦
*"       92/04/02 竹広真一
*
*
***********************************************************************
*"           << タイムフィルター >>
***********************************************************************
      SUBROUTINE TFILT
     M         ( GBU   , GBV   ,
     M           GBVOR ,
     I           GAU   , GAV   ,
     I           GAVOR ,
     C           TFIL            )
*
#if   HITAC
      INCLUDE   (ZCDIM)                  !" 格子点数, 波数
#elif SX3
      INCLUDE   "zcdim.F"                    !" 格子点数, 波数
#else
#include        "zcdim.F"                    !" 格子点数, 波数
#endif
*
      REAL       GBU   ( IDIM*JDIM*KMAX )    !" 西風  ｕ(t-Δt)
      REAL       GBV   ( IDIM*JDIM*KMAX )    !" 南風  ｖ(t-Δt)
      REAL       GBVOR ( IDIM*JDIM*KMAX )    !" 渦度  ζ(t-Δt)
      REAL       GAU   ( IDIM*JDIM*KMAX )    !" 西風  ｕ(t)
      REAL       GAV   ( IDIM*JDIM*KMAX )    !" 南風  ｖ(t)
      REAL       GAVOR ( IDIM*JDIM*KMAX )    !" 渦度  ζ(t)
      REAL       TFIL                        !" 時間フィルター係数
*
      COMMON    /COMWRK/
     &           GBBU  , GBBV  , GBBVOR
      REAL       GBBU  ( IDIM*JDIM*KMAX )    !" 西風  ｕ セーブ値
      REAL       GBBV  ( IDIM*JDIM*KMAX )    !" 南風  ｖ セーブ値
      REAL       GBBVOR( IDIM*JDIM*KMAX )    !" 渦度  ζ セーブ値
*
*"          < 1.  (t-Δt)のデータをロード >
*
      CALL LOADGB
     O         ( GBBU  , GBBV  ,
     O           GBBVOR          )
*
*"          < 2. 時間フィルター >
*
      TFIL1 = 1. - 2.* TFIL
*
      DO 1100 IJK = 1, IDIM*JDIM*KMAX
         GBU  ( IJK ) = TFIL1 * GBU   ( IJK )
     &                + TFIL  * GAU   ( IJK )
     &                + TFIL  * GBBU  ( IJK )
         GBV  ( IJK ) = TFIL1 * GBV   ( IJK )
     &                + TFIL  * GAV   ( IJK )
     &                + TFIL  * GBBV  ( IJK )
         GBVOR( IJK ) = TFIL1 * GBVOR ( IJK )
     &                + TFIL  * GAVOR ( IJK )
     &                + TFIL  * GBBVOR( IJK )
 1100 CONTINUE
*
      RETURN
      END
